Bug 174680 - www/squid32: Update to 3.2.5
Summary: www/squid32: Update to 3.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-24 14:40 UTC by Leonid Nevecherya
Modified: 2013-01-03 19:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Nevecherya 2012-12-24 14:40:00 UTC
Please update port to Squid 2.5. http://www.squid-cache.org/Versions/v3/3.2/RELEASENOTES.html
Comment 1 Edwin Groothuis freebsd_committer 2012-12-24 14:40:19 UTC
Maintainer of www/squid32,

Please note that PR ports/174680 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174680

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-12-24 14:40:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Florian Smeets freebsd_committer 2012-12-24 23:16:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

I'll take it.
Comment 4 Thomas-Martin Seck 2013-01-02 20:23:08 UTC
Hm, 3.2.5 is basically 3.2.4 plus the build fix I had already included.

We should probably update to 3.2.5 plus the latest patches from
http://www.squid-cache.org/Versions/v3/3.2/changesets/:

Index: Makefile
===================================================================
--- Makefile	(.../www/squid32)	(Revision 2088)
+++ Makefile	(.../local/squid32)	(Revision 2088)
@@ -37,7 +37,6 @@
 
 PORTNAME=	squid
 PORTVERSION=	3.2.${SQUID_STABLE_VER}
-PORTREVISION=	1
 CATEGORIES=	www ipv6
 MASTER_SITES=	ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
 		http://mirrors.ccs.neu.edu/Squid/ \
@@ -66,7 +65,10 @@
 		http://www1.jp.squid-cache.org/%SUBDIR%/ \
 		http://www2.tw.squid-cache.org/%SUBDIR%/
 PATCH_SITE_SUBDIR=	Versions/v3/3.2/changesets
-PATCHFILES=	squid-3.2-11738.patch
+PATCHFILES=	squid-3.2-11740.patch \
+		squid-3.2-11741.patch \
+		squid-3.2-11742.patch \
+		squid-3.2-11743.patch
 
 MAINTAINER=	tmseck@web.de
 COMMENT=	HTTP Caching Proxy
@@ -76,7 +78,7 @@
 
 LATEST_LINK=	squid32
 
-SQUID_STABLE_VER=	4
+SQUID_STABLE_VER=	5
 
 CONFLICTS_INSTALL=	squid-2.[0-9].* squid-3.[!2].* cacheboy-[0-9]* lusca-head-[0-9]*
 GNU_CONFIGURE=	yes
Index: distinfo
===================================================================
--- distinfo	(.../www/squid32)	(Revision 2088)
+++ distinfo	(.../local/squid32)	(Revision 2088)
@@ -1,4 +1,10 @@
-SHA256 (squid3.2/squid-3.2.4.tar.bz2) = 9c0f6425f28e275577c48e909c85122e87969211ade70bd043e4694328b964c6
-SIZE (squid3.2/squid-3.2.4.tar.bz2) = 2893401
-SHA256 (squid3.2/squid-3.2-11738.patch) = ca22c7143db486e29832f6d0530f1bc77a62e88138199473d1596dda9354c940
-SIZE (squid3.2/squid-3.2-11738.patch) = 1661
+SHA256 (squid3.2/squid-3.2.5.tar.bz2) = a823de016ca80680f979f3c74ba481775062b4de5924b21d58d1863254283912
+SIZE (squid3.2/squid-3.2.5.tar.bz2) = 2893104
+SHA256 (squid3.2/squid-3.2-11740.patch) = eec9b1beeccfcb436170fc9902104cea2efd6c5dddfe368c8040b45c1513ca1c
+SIZE (squid3.2/squid-3.2-11740.patch) = 1710
+SHA256 (squid3.2/squid-3.2-11741.patch) = b93fc059dc1e0c0f84cb1e9873c3cc156b832410c3a60e18f1ecb58262a13e56
+SIZE (squid3.2/squid-3.2-11741.patch) = 1842
+SHA256 (squid3.2/squid-3.2-11742.patch) = 0cf97b177813136c28889c0ce2a05ab0b3fac214465bc6d741c6728a225ad49a
+SIZE (squid3.2/squid-3.2-11742.patch) = 2611
+SHA256 (squid3.2/squid-3.2-11743.patch) = 8ce53eee452b00e7c4d23f3fbe930d44d50c9981d3633d64c198c43df7da8422
+SIZE (squid3.2/squid-3.2-11743.patch) = 1740
Comment 5 dfilter service freebsd_committer 2013-01-03 19:02:33 UTC
Author: flo
Date: Thu Jan  3 19:02:19 2013
New Revision: 309902
URL: http://svnweb.freebsd.org/changeset/ports/309902

Log:
  Update to 3.2.5 + a few upstream patches
  
  PR:		ports/174680
  Submitted by:	maintainer

Modified:
  head/www/squid32/Makefile
  head/www/squid32/distinfo

Modified: head/www/squid32/Makefile
==============================================================================
--- head/www/squid32/Makefile	Thu Jan  3 18:20:44 2013	(r309901)
+++ head/www/squid32/Makefile	Thu Jan  3 19:02:19 2013	(r309902)
@@ -37,7 +37,6 @@
 
 PORTNAME=	squid
 PORTVERSION=	3.2.${SQUID_STABLE_VER}
-PORTREVISION=	1
 CATEGORIES=	www ipv6
 MASTER_SITES=	ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
 		http://mirrors.ccs.neu.edu/Squid/ \
@@ -66,7 +65,10 @@ PATCH_SITES=	http://www.squid-cache.org/
 		http://www1.jp.squid-cache.org/%SUBDIR%/ \
 		http://www2.tw.squid-cache.org/%SUBDIR%/
 PATCH_SITE_SUBDIR=	Versions/v3/3.2/changesets
-PATCHFILES=	squid-3.2-11738.patch
+PATCHFILES=	squid-3.2-11740.patch \
+		squid-3.2-11741.patch \
+		squid-3.2-11742.patch \
+		squid-3.2-11743.patch
 
 MAINTAINER=	tmseck@web.de
 COMMENT=	HTTP Caching Proxy
@@ -76,7 +78,7 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 LATEST_LINK=	squid32
 
-SQUID_STABLE_VER=	4
+SQUID_STABLE_VER=	5
 
 CONFLICTS_INSTALL=	squid-2.[0-9].* squid-3.[!2].* cacheboy-[0-9]* lusca-head-[0-9]*
 GNU_CONFIGURE=	yes

Modified: head/www/squid32/distinfo
==============================================================================
--- head/www/squid32/distinfo	Thu Jan  3 18:20:44 2013	(r309901)
+++ head/www/squid32/distinfo	Thu Jan  3 19:02:19 2013	(r309902)
@@ -1,4 +1,10 @@
-SHA256 (squid3.2/squid-3.2.4.tar.bz2) = 9c0f6425f28e275577c48e909c85122e87969211ade70bd043e4694328b964c6
-SIZE (squid3.2/squid-3.2.4.tar.bz2) = 2893401
-SHA256 (squid3.2/squid-3.2-11738.patch) = ca22c7143db486e29832f6d0530f1bc77a62e88138199473d1596dda9354c940
-SIZE (squid3.2/squid-3.2-11738.patch) = 1661
+SHA256 (squid3.2/squid-3.2.5.tar.bz2) = a823de016ca80680f979f3c74ba481775062b4de5924b21d58d1863254283912
+SIZE (squid3.2/squid-3.2.5.tar.bz2) = 2893104
+SHA256 (squid3.2/squid-3.2-11740.patch) = eec9b1beeccfcb436170fc9902104cea2efd6c5dddfe368c8040b45c1513ca1c
+SIZE (squid3.2/squid-3.2-11740.patch) = 1710
+SHA256 (squid3.2/squid-3.2-11741.patch) = b93fc059dc1e0c0f84cb1e9873c3cc156b832410c3a60e18f1ecb58262a13e56
+SIZE (squid3.2/squid-3.2-11741.patch) = 1842
+SHA256 (squid3.2/squid-3.2-11742.patch) = 0cf97b177813136c28889c0ce2a05ab0b3fac214465bc6d741c6728a225ad49a
+SIZE (squid3.2/squid-3.2-11742.patch) = 2611
+SHA256 (squid3.2/squid-3.2-11743.patch) = 8ce53eee452b00e7c4d23f3fbe930d44d50c9981d3633d64c198c43df7da8422
+SIZE (squid3.2/squid-3.2-11743.patch) = 1740
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Florian Smeets freebsd_committer 2013-01-03 19:02:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!